# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes
dirac_instr::OverlayParams Class Reference

Class holding instrumentation overlay information.

`#include <overlay.h>`

List of all members.

## Public Member Functions
OverlayOption | Option () const
| Get functions...
int | Reference () const
| Returns which reference is to be used.
int | Background () const
| Returns true if input picture background is used, false if grey.
int | Legend () const
| Returns true if colour legend is displayed.
int | MvClip () const
| Returns clip value for motion vectors.
int | SADClip () const
| Returns clip value for sad.
void | SetOption (OverlayOption o)
| Set functions...
void | SetReference (int r)
| Set which reference picture is to be used.
void | SetBackground (bool b)
| Set whether input picture or grey is used as background.
void | SetLegend (bool l)
| Set display of colour legend.
void | SetMvClip (int c)
| Set clip for motion vectors.
void | SetSADClip (int c)
| Set clip for sad.

## Private Attributes
OverlayOption | m_option
| Instrumentation command line option.
int | m_ref
| Reference picture.
bool | m_bg
| Background - original luma or mid-grey.
bool | m_legend
| Instrumentation legend off.
int | m_mv_clip
| Motion vector clip value.
int | m_sad_clip
| SAD clip value.

## Member Function Documentation

int dirac_instr::OverlayParams::Background | ( |  | ) | const
| inline

References m_bg.

int dirac_instr::OverlayParams::Legend | ( |  | ) | const
| inline

References m_legend.

int dirac_instr::OverlayParams::MvClip | ( |  | ) | const
| inline

References m_mv_clip.

OverlayOption dirac_instr::OverlayParams::Option | ( |  | ) | const
| inline

Returns instrumentation command line option

References m_option.

int dirac_instr::OverlayParams::Reference | ( |  | ) | const
| inline

References m_ref.

int dirac_instr::OverlayParams::SADClip | ( |  | ) | const
| inline

References m_sad_clip.

void dirac_instr::OverlayParams::SetBackground | ( | bool | b | ) |
| inline

References m_bg.

void dirac_instr::OverlayParams::SetLegend | ( | bool | l | ) |
| inline

References m_legend.

void dirac_instr::OverlayParams::SetMvClip | ( | int | c | ) |
| inline

References m_mv_clip.

void dirac_instr::OverlayParams::SetOption | ( | OverlayOption | o | ) |
| inline

Set type of instrumentation

References m_option.

void dirac_instr::OverlayParams::SetReference | ( | int | r | ) |
| inline

References m_ref.

void dirac_instr::OverlayParams::SetSADClip | ( | int | c | ) |
| inline

References m_sad_clip.

## Member Data Documentation

bool dirac_instr::OverlayParams::m_bg
| private

Referenced by Background(), and SetBackground().

bool dirac_instr::OverlayParams::m_legend
| private

Referenced by Legend(), and SetLegend().

int dirac_instr::OverlayParams::m_mv_clip
| private

Referenced by MvClip(), and SetMvClip().

OverlayOption dirac_instr::OverlayParams::m_option
| private

Referenced by Option(), and SetOption().

int dirac_instr::OverlayParams::m_ref
| private

Referenced by Reference(), and SetReference().

int dirac_instr::OverlayParams::m_sad_clip
| private

Referenced by SADClip(), and SetSADClip().

The documentation for this class was generated from the following file:

- overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.